#!/usr/bin/env perl
use strict;
use warnings;
use URI;

#WikipediaAPIでAT&Tについて取得するクエリ
my $uri = URI->new('http://ja.wikipedia.org/w/api.php');
$uri->query_form(
    action => 'query',
    prop   => 'revisions',
    titles => 'AT&T',
    rvprop => 'content',
    format => 'xml',
);

print $uri->host; #ja.wikipedia.org
print $uri->path; #/w/api.php
print $uri->as_string;
#http://ja.wikipedia.org/w/api.php?action=query&prop..
