#!/usr/bin/env perl
use strict;
use warnings;
use Web::Scraper;
use URI;
my $scraper = scraper {
    process '#primary > div > div.readingContent01
               > ul > li', 'items[]' => scraper {
                   process 'a', uri   => '@href',
               }
           };
my $url = 'http://gihyo.jp/dev/serial/01/perl-hackers-hub';
my $res = $scraper->scrape( URI->new($url) );
foreach my $item ( @{$res->{items}} ) {
    print $item->{uri};
}
